%define name	libieee1284
%define	version	0.2.11
%define	rel	2
%define	release	%mkrel 4


%define major	3
%define libname	%mklibname ieee1284_ %{major}

%{expand:%%define py_ver %(python -V 2>&1| awk '{print $2}'|cut -d. -f1-2)}

Summary:	libieee1284 is a cross-platform library for parallel port access
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://cyberelk.net/tim/data/libieee1284/stable/%{name}-%{version}.tar.xz
Patch0:		libieee1284-0.2.11-linkage.patch
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://sourceforge.net/projects/libieee1284/
BuildRequires:	python-devel

%description
libieee1284 is a cross-platform library for parallel port access

%package -n	%{libname}
Summary:        libieee1284 is a cross-platform library for parallel port access
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
libieee1284 is a cross-platform library for parallel port access

%package -n	%{libname}-devel
Summary:        libieee1284 is a cross-platform library for parallel port access

Group:          Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}0-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
The %{name}-devel package includes the header files and .so libraries
necessary for developing programs which will access parallel port devices 
using the %{name} library.

If you are going to develop programs which will access parallel port
devices, you should install %{name}-devel.  You'll also need to have
the %{name} package installed.

%package -n	%{libname}-static-devel
Summary:        Static library for libieee1284
Group:          Development/Libraries
Provides:	%{name}-static-devel = %{version}-%{release}
Requires:	%{libname}-devel = %{version}-%{release}

%description -n	%{libname}-static-devel
The %{name}-devel package includes the static libraries
necessary for developing programs which will access parallel port devices 
using the %{name} library.

If you are going to develop programs which will access parallel port
devices, you should install %{name}-devel.  You'll also need to have
the %{name} package installed.

%prep
%setup -q
%patch0 -p0
%build
%configure2_5x --with-python
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{py_platsitedir}/*.{a,la}
%clean
rm -rf %buildroot

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc README AUTHORS ChangeLog INSTALL NEWS TODO
%{_bindir}/libieee1284_test
%{_includedir}/*
%{_libdir}/*.so

%{_libdir}/*.la
%{_mandir}/man3/*
%{_libdir}/python%{py_ver}/site-packages/*.so

%files -n %{libname}-static-devel
%defattr(-,root,root)
%doc README
%{_libdir}/*.a

%changelog
* Fri Nov 11 2016 adrianomorselli <adrianomorselli> 0.2.11-4uplos2016
- rebuild

* Wed May 25 2016 bb <bb> 0.2.11-4pclos2016
- update

* Sat Aug 17 2013 billybot <billybot> 0.2.11-3pclos2013
- update python 2.7

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.2.11-2pclos2010
- Update

* Fri Apr 18 2009 pcserver <pcserver@hushmail.com> 0.2.11-1pclos2007
- update and rebuild against updated python

* Mon Nov 06 2006 Texstar <texstar@houston.rr.com> 0.2.10-3pclos2007
- Build for PCLinuxOS 2007

